<?= $this->render('profile/profile-tabs.phtml')?>

<form id="working-times" action="" >
    <input type="hidden" name="action" value="<?= $this->action?>">
    <?php  if($this->escortId):?>
        <input type="hidden" name="escort" value="<?= $this->escortId ?>" />
    <?php endif;?>
    <div class="row">

        <div class="col-md-6 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-user"></i> Work time
                </div>
                <div class="card-block">

                    <div class="form-check form-check-inline">
                        <label class="custom-control custom-radio">
                            <input id="available_24_7" class="custom-control-input" type="radio" name="available_24_7" value="1" <?= ($this->data['available_24_7']) ? ' checked="checked"' : '' ?>/>
                            <span class="custom-control-indicator"></span>
                            <span class="custom-control-description"><?= __('pv2_label_i_am_available_24_7')?></span>
                        </label>
                    </div>

                    <div class="form-check form-check-inline">
                        <label class="custom-control custom-radio">
                            <input id="on_schedule" class="custom-control-input" type="radio" name="available_24_7"<?= (!$this->data['available_24_7']) ? ' checked="checked"' : '' ?>/>
                            <span class="custom-control-indicator"></span>
                            <span class="custom-control-description">Available on a schedule</span>
                        </label>
                    </div>
                   
                    <table class="work-times table table-sm" id="times">
                        <thead class="thead-light">
                        <tr>
                            <th></th>
                            <th><label for="selectall"><!-- <?= __('pv2_label_select_all') ?></label> --></th>
                            <th class="spec"><label><?= ucfirst(__('pv2_label_from')) ?></label></th>
                            <th class="spec"><label><?= ucfirst(__('pv2_label_to')) ?></label></th>
                        </tr>
                        </thead>
                        <tbody>
                          
                        <? for ($j = 1; $j <= 7; $j++): ?>
                            <? $chk = false;
                            foreach ($this->data['times'] as $time) {
                                if ($time['day_index'] == $j) {
                                    $chk = $time;
                                    break;
                                }
                            } ?>
                            <tr id="datepair-<?= $this->getWeekDay($j) ?>" class="work-times-disabled">
                                <td>
                                    <label class="custom-control custom-checkbox d-flex justify-content-center mb-0">
                                        <input id="day-<?= $j ?>" <?= $chk ? ' checked="checked"' : '' ?> type="checkbox" class="custom-control-input day-checkbox" name="day_index[<?= $j ?>]" value="1" <?= ($this->data['available_24_7']) ? 'disabled' : '' ?>>
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description"></span>
                                    </label>
                                </td>
                                <td>
                                    <label class="mb-0" for="day-<?= $j ?>">
                                        <?
                                            $day = $this->getWeekDay2($j);//date('l', mktime(null, null, null, null, $j - 1));
                                            $id = 'pv2_weekday_' . strtolower($day);
                                        ?>
                                        <?= __($id) ?>
                                    </label>
                                </td>
                                <td>
                                    <div title="Please select day" class="input-group align-items-center">
                                       <input type="text" value="<?= $chk  ? $chk["time_from"].':'.$chk["time_from_m"] : '' ?>"  name="time_from[<?= $j ?>]" class="time start form-control " 
                                       <?= $chk['time_from'] == $i ? ' disabled' : '' ?>  />
                                    </div>
                                </td>
                                <td>
                                     <div title="Please select day" class="input-group align-items-center">
                                        <input value="<?= $chk  ? $chk["time_to"].':'.$chk["time_to_m"] : '' ?>" type="text" name="time_to[<?= $j ?>]" class="time end form-control disabled"  <?=  $chk['time_to'] == $i ? ' disabled' : '' ?>  />
                                     </div>
                                </td>
                            </tr>
                        <? endfor ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="col-md-6 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-user"></i> Vacation
                </div>
                <div class="card-block">
                    <fieldset id="vacation" class="form-group">
                        <div >
                            <div class="fl">
                                <div class="divline">
                                    <p id="validation-vacation" class="text-danger m-0"></p>
                                </div>

                                <? $d_f = $m_f = $y_f = $d_t = $m_t = $y_t = 0;
                                if( $this->data['vac_date_from'] && $this->data['vac_date_to'] ){
                                    list($y_f,$m_f,$d_f) = explode('-',$this->data['vac_date_from']);
                                    list($y_t,$m_t,$d_t) = explode('-',$this->data['vac_date_to']);
                                }
                                ?>

                                <div class="row">

                                    <div class="col-xl-3">
                                        <span class="label"><?= $this->t('date_from') ?></span>
                                    </div>
                                    <div class="col-xl-9">
                                        <div class="row">
                                            <div class="col-xl-4">
                                                <select name="vac_date_from_day" class="selectbox form-control" data-placeholder="Day">
                                                    <option value=""></option>
                                                    <? for ($i = 1; $i <= 31; $i++): ?>
                                                        <option value="<?= $i ?>"<?= $d_f == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
                                                    <? endfor; ?>
                                                </select>
                                            </div>
                                            <div class="col-xl-4">
                                                <select name="vac_date_from_month" class="selectbox form-control" data-placeholder="Month">
                                                    <option value=""></option>
                                                    <? for ($i = 1; $i <= 12; $i++): $timestamp = mktime(null, null, null, $i);
                                                        $month = date('M', $timestamp); ?>
                                                        <option value="<?= $i ?>"<?= $m_f == $i ? ' selected="selected"' : '' ?>><?= $month ?></option>
                                                    <? endfor; ?>
                                                </select>
                                            </div>
                                            <div class="col-xl-4">
                                                <select name="vac_date_from_year" class="selectbox form-control" data-placeholder="Year">
                                                    <option value=""></option>
                                                    <? for ($i = date('Y', time()); $i <= date('Y', strtotime('+1 years')); $i++): ?>
                                                        <option value="<?= $i ?>"<?= $y_f == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
                                                    <? endfor; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row py-2">

                                    <div class="col-xl-3">
                                        <span class="label"><?= $this->t('date_to') ?></span>
                                    </div>
                                    <div class="col-xl-9">
                                        <div class="row">
                                            <div class="col-xl-4">
                                                <select name="vac_date_to_day" class="selectbox form-control" data-placeholder="Day">
                                                    <option value=""></option>
                                                    <? for ($i = 1; $i <= 31; $i++): ?>
                                                        <option value="<?= $i ?>"<?= $d_f == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
                                                    <? endfor; ?>
                                                </select>
                                            </div>
                                            <div class="col-xl-4">
                                                <select name="vac_date_to_month" class="selectbox form-control" data-placeholder="Month">
                                                    <option value=""></option>
                                                    <? for ($i = 1; $i <= 12; $i++): $timestamp = mktime(null, null, null, $i);
                                                        $month = date('M', $timestamp); ?>
                                                        <option value="<?= $i ?>"<?= $m_f == $i ? ' selected="selected"' : '' ?>><?= $month ?></option>
                                                    <? endfor; ?>
                                                </select>
                                            </div>
                                            <div class="col-xl-4">
                                                <select name="vac_date_to_year" class="selectbox form-control" data-placeholder="Year">
                                                    <option value=""></option>
                                                    <? for ($i = date('Y', time()); $i <= date('Y', strtotime('+1 years')); $i++): ?>
                                                        <option value="<?= $i ?>"<?= $y_f == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
                                                    <? endfor; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="clear"></div>
                            </div>


                            <div id="curr_vacation" <?= ($this->data['vac_date_from'] && $this->data['vac_date_to'] && !isset($this->errors['vacation'])) ? '' : 'style = "display:none"' ?>>
                                <div class="alert alert-warning alert-dismissible fade show" role="alert">
                                    <strong><?= $this->profile->showname ?> </strong> <span class="strong"> from <span
                                                id="curr_date_from"><?= date("d M Y", strtotime($this->data['vac_date_from'])); ?></span> to <span
                                                id="curr_date_to"><?= date("d M Y", strtotime($this->data['vac_date_to'])) ?></span></span>
                                </div>

                                <button class="btn btn-primary pull-right" id="return_vacation" type="button"
                                        data-id="<?= $this->escort->id ?>"><?= $this->t('vacations_return') ?></button>
                            </div>

                        </div>
                    </fieldset>
                </div>
            </div>
        </div>

        <!--/.col-->
        <div class="col-md-12 d-flex">
            <button type="submit" class="btn m-auto btn-outline-success btn-lg active fixed-button">Save</button>
        </div>
    </div>
</form>